Cowdidocs
API ReferenceStatements

List Statement Documents

List a statement's per-format renditions

GET
/v1/statements/{id}/documents

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/statements/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents"
[  {    "format": "CSV",    "status": "PENDING",    "failure_reason": "string",    "failure_code": "TOO_MANY_ROWS"  }]
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}